Subject: Re: traffic shaping with NAT: IFB as IMQ replacement?

From: jamal <[email-masked]>
Date: Thu, 29 Mar 2007 12:11:56 -0400

On Wed, 2007-28-03 at 18:54 +0200, Jens Thiele wrote:
> Hello,
> 
> Sorry for the many Ccs, but I hope to reach all parties involved.
> I want to do traffic shaping with NAT and I wanted to do it with IFB
> instead of IMQ [1]. I tried a lot of things but now I am stuck (and
> maybe confused).
> 
> The setup:
>                eth0             eth1
> WAN/(Internet) <-> Linux Router <-> LAN
> 
> Linux router:
> - does NAT for the LANs
> - runs local processes communicating with the WAN/Internet
> 

I understand this requirement; unfortunately when i polled for features
majority of people who emailed back were asking for the other things.
I have changed my opinion a little since last time because the
netfilter/contracking code now does netlink. I believe this could all be
achieved in user space. Infact i have started writting some code - the
problem is my time has become intermittent.
If i can get someone who can work with me to complete the work, I will
be more than happy to get that last bastion of IMQ done.
So if you are a fireman willing to be a hero (I guess all firemen want
to be heroes, why else would they be firemen?) email me privately and we
can get this done.

cheers,
jamal

PS:- i have removed lartc from the list because it bounces my emails and
i refuse to subscribe.